-- server.lua
require "enet"

local channel_receive, channel_send = ...

local host = enet.host_create("*:6789")


while true do
	local m = channel_receive:pop()
	
	if m and m.peer and m.message then
		m.peer:send(m.message)
	end

	local event = host:service(100)
	
	while event do
		channel_send:push(event)
		event = host:service()
	end
end
